## org.hibernate.envers.tools
Class MappingTools

    java.lang.Object
      org.hibernate.envers.tools.MappingTools

    public class MappingTools

extends Object

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`MappingTools()`

Method Summary
`static String` `createComponentPrefix(String componentName)`
`static String` `createToOneRelationPrefix(String referencePropertyName)`
`static String` `getReferencedEntityName(Value value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingTools

    public MappingTools()

Method Detail

### createComponentPrefix

    public static String createComponentPrefix(String componentName)

  Parameters:
    `componentName` - Name of the component, that is, name of the property in the entity that references the component.
  Returns:
    A prefix for properties in the given component.

### createToOneRelationPrefix

    public static String createToOneRelationPrefix(String referencePropertyName)

  Parameters:
    `referencePropertyName` - The name of the property that holds the relation to the entity.
  Returns:
    A prefix which should be used to prefix an id mapper for the related entity.

### getReferencedEntityName

    public static String getReferencedEntityName(Value value)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.